var lesson = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal } from \"solid-js\";\n\nimport \"./style.css\";\n\nfunction App() {\n  const [current, setCurrent] = createSignal(\"foo\");\n\n  return <>\n    <button\n     class={current() === 'foo' ? 'selected' : ''}\n     onClick={() => setCurrent('foo')}\n    >foo</button>\n    <button\n      class={current() === 'bar' ? 'selected' : ''}\n      onClick={() => setCurrent('bar')}\n    >bar</button>\n    <button\n      class={current() === 'baz' ? 'selected' : ''}\n      onClick={() => setCurrent('baz')}\n    >baz</button>\n  </>;\n}\n\nrender(() => <App />, document.getElementById('app'));"
		},
		{
			name: "style",
			type: "css",
			content: "button {\n  display: block;\n}\n\n.selected {\n  background-color: #ff3e00;\n  color: white;\n}"
		}
	]
};
var solved = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal } from \"solid-js\";\n\nimport \"./style.css\";\n\nfunction App() {\n  const [current, setCurrent] = createSignal(\"foo\");\n\n  return <>\n    <button\n     classList={{selected: current() === 'foo'}}\n     onClick={() => setCurrent('foo')}\n    >foo</button>\n    <button\n      classList={{selected: current() === 'bar'}}\n      onClick={() => setCurrent('bar')}\n    >bar</button>\n    <button\n      classList={{selected: current() === 'baz'}}\n      onClick={() => setCurrent('baz')}\n    >baz</button>\n  </>;\n}\n\nrender(() => <App />, document.getElementById('app'));"
		},
		{
			name: "style",
			type: "css",
			content: "button {\n  display: block;\n}\n\n.selected {\n  background-color: #ff3e00;\n  color: white;\n}"
		}
	]
};
var markdown = "Solid поддерживает и `class` и `className` для добавления класса на элемент. Этого может быть достаточно, но иногда нам нужна возможность добавлять классы в зависимости от условия. По этой причине в Solid существует `classList` атрибут, который принимает объект, в котором ключ это имя класса, а его значение это `boolean`. Когда значение равно true, класс будет добавлен, когда значение false класс будет удален.\n\nНапример, мы можем заменить:\n\n```jsx\n<button\n  class={current() === 'foo' ? 'selected' : ''}\n  onClick={() => setCurrent('foo')}\n>foo</button>\n```\n\nна:\n\n```jsx\n<button\n  classList={{selected: current() === 'foo'}}\n  onClick={() => setCurrent('foo')}\n>foo</button>\n```\n\nДля тех, кто использует CSS модули вам будет необходимо использовать это следующим образом:\n\n```jsx\nimport { active } from \"./style.module.css\"\n\n<div classList={{ [active]: isActive() }} />\n```\n";
var bindings_classlist = {
	lesson: lesson,
	solved: solved,
	markdown: markdown
};

export { bindings_classlist as default, lesson, markdown, solved };
