var lesson = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport Info from \"./info\";\n\nconst pkg = {\n  name: \"solid-js\",\n  version: 1,\n  speed: \"⚡️\",\n  website: \"https://solidjs.com\",\n};\n\nfunction App() {\n  return (\n    <Info\n      name={pkg.name}\n      version={pkg.version}\n      speed={pkg.speed}\n      website={pkg.website}\n    />\n  );\n}\n\nrender(() => <App />, document.getElementById(\"app\"));\n"
		},
		{
			name: "info",
			content: "export default function Info(props) {\n  return (\n    <p>\n      The <code>{props.name}</code> package is {props.speed} fast. Download\n      version {props.version} from{\" \"}\n      <a href={`https://www.npmjs.com/package/${props.name}`}>npm</a> and{\" \"}\n      <a href={props.website}>learn more here</a>\n    </p>\n  );\n}\n"
		}
	]
};
var solved = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport Info from \"./info\";\n\nconst pkg = {\n  name: \"solid-js\",\n  version: 1,\n  speed: \"⚡️\",\n  website: \"https://solidjs.com\",\n};\n\nfunction App() {\n  return <Info {...pkg} />;\n}\n\nrender(() => <App />, document.getElementById(\"app\"));\n"
		},
		{
			name: "info",
			content: "export default function Info(props) {\n  return (\n    <p>\n      The <code>{props.name}</code> package is {props.speed} fast. Download\n      version {props.version} from{\" \"}\n      <a href={`https://www.npmjs.com/package/${props.name}`}>npm</a> and{\" \"}\n      <a href={props.website}>learn more here</a>\n    </p>\n  );\n}\n"
		}
	]
};
var markdown = "Иногда наши компоненты и элементы получают несколько атрибутов и в таком случае имеет смысл оформить их в виде объекта, а не передавать по одному. Это довольно частый когда мы оборачиваем DOM элемент в компонент, например, при создании систем дизайна.\n\nКогда нам это необходимо мы можем использовать оператор расширения `...` (`spread operator`).\n\nТаким образом мы можем удобно передавать несколько атрибутов:\n\n```jsx\n<Info {...pkg} />\n```\n";
var bindings_spreads = {
	lesson: lesson,
	solved: solved,
	markdown: markdown
};

export { bindings_spreads as default, lesson, markdown, solved };
