var lesson = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal } from \"solid-js\";\n\nfunction App() {\n  const [num, setNum] = createSignal(0);\n  setInterval(() => setNum((num() + 1) % 255), 30)\n\n  return <div>Some Text</div>;\n}\n\nrender(() => <App />, document.getElementById('app'));"
		}
	]
};
var solved = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal } from \"solid-js\";\n\nfunction App() {\n  const [num, setNum] = createSignal(0);\n  setInterval(() => setNum((num() + 1) % 255), 30)\n\n  return (\n    <div style={{\n      color: `rgb(${num()}, 180, ${num()})`,\n      \"font-weight\": 800,\n      \"font-size\": `${num()}px`}}\n    >\n      Some Text\n    </div>\n  );\n}\n\nrender(() => <App />, document.getElementById('app'));"
		}
	]
};
var markdown = "Das `style`-Attribut in Solid akzeptiert entweder Strings oder Objekte. Allerdings unterscheidet sich die Form des Objektes von `Element.prototype.style` und ist stattdessen ein Wrapper für den Aufruf von `style.setProperty`. Das heisst, dass die Attributnamen mit Bindestrichen geschrieben werden, also \"background-color\" statt \"backgroundColor\". Das bedeutet aber auch, dass wir die Möglichkeit haben, CSS-Variablen zu setzen:\n\n```js\n<div style={{ \"--my-custom-color\": themeColor() }} />\n```\n\nAnimieren wir unser Div mit ein paar Inline-Styles:\n```jsx\n<div style={{\n  color: `rgb(${num()}, 180, ${num()})`,\n  \"font-weight\": 800,\n  \"font-size\": `${num()}px`}}\n>\n  Some Text\n</div>\n```";
var bindings_style = {
	lesson: lesson,
	solved: solved,
	markdown: markdown
};

export { bindings_style as default, lesson, markdown, solved };
