var lesson = {
	files: [
		{
			name: "main",
			content: "import { render } from 'solid-js/web';\nimport { createSignal, For } from 'solid-js';\n\nfunction App() {\n  const [cats, setCats] = createSignal([\n    { id: 'J---aiyznGQ', name: 'Keyboard Cat' },\n    { id: 'z_AbfPXTKms', name: 'Maru' },\n    { id: 'OUtn3pvWmpg', name: 'Henri The Existential Cat' }\n  ]);\n  \n  return (\n    <ul>\n      <li>\n        <a target=\"_blank\" href=\"\">\n          1: Garfield\n        </a>\n      </li>\n    </ul>\n  );\n}\n\nrender(() => <App />, document.getElementById('app'))\n"
		}
	]
};
var solved = {
	files: [
		{
			name: "main",
			content: "import { render } from 'solid-js/web';\nimport { createSignal, For } from 'solid-js';\n\nfunction App() {\n  const [cats, setCats] = createSignal([\n    { id: 'J---aiyznGQ', name: 'Keyboard Cat' },\n    { id: 'z_AbfPXTKms', name: 'Maru' },\n    { id: 'OUtn3pvWmpg', name: 'Henri The Existential Cat' }\n  ]);\n  \n  return (\n    <ul>\n      <For each={cats()}>{(cat, i) =>\n        <li>\n          <a target=\"_blank\" href={`https://www.youtube.com/watch?v=${cat.id}`}>\n            {i() + 1}: {cat.name}\n          </a>\n        </li>\n      }</For>\n    </ul>\n  );\n}\n\nrender(() => <App />, document.getElementById('app'))\n"
		}
	]
};
var markdown = "Wenn man über eine Liste iterieren möchte, ist die `<For>`-Komponente der beste Weg für jedes Array von Werten, die nicht Daten-Primitiven sind. Es wird automatisch nach Referenz indiziert, so dass während Aktualisierungen bei Verschiebung von Daten die korrespondierenden Reihen ebenfalls Verschoben statt gelöscht und neu erstellt werden. Das Callback, welches als Kind Verwendet wird, wird nicht reaktiv verfolgt und übergibt den jeweiligen Wert und seinen Index als Signal.\n\n```jsx\n<For each={cats()}>{(cat, i) =>\n  <li>\n    <a target=\"_blank\" href={`https://www.youtube.com/watch?v=${cat.id}`}>\n      {i() + 1}: {cat.name}\n    </a>\n  </li>\n}</For>\n```\nDer `index` ist ein Signal und kann daher unabhängig vom Wert aktualisiert werden, wenn dieser verschoben wird. Wäre der Wert kein Signal, würde dieser eine neue Referenz erhalten, was dazu führen würde, dass die Elemente neu gerendert statt verschoben werden würden. Um verschachtelte Updates zu machen, verwende man verschachtelte Signale oder den Store-Proxy.\n\nMan kann `<For>` auch verwenden, über andere iterierbare Objekte zu iterieren, die keine Arrays sind, indem man Methoden wie `Object.keys` oder einfach den Spread-Operator zur Umwandlung in ein Array verwendet, etwa so: `[...iterable]`.";
var flow_for = {
	lesson: lesson,
	solved: solved,
	markdown: markdown
};

export { flow_for as default, lesson, markdown, solved };
