var lesson = {
	files: [
		{
			name: "main",
			content: "import { render } from 'solid-js/web';\nimport { createSignal, For } from 'solid-js';\n\nfunction App() {\n  const [cats, setCats] = createSignal([\n\t\t{ id: 'J---aiyznGQ', name: 'Keyboard Cat' },\n\t\t{ id: 'z_AbfPXTKms', name: 'Maru' },\n\t\t{ id: 'OUtn3pvWmpg', name: 'Henri The Existential Cat' }\n\t]);\n  \n  return (\n    <ul>\n      <li>\n        <a target=\"_blank\" href=\"\">\n\t\t\t    1: Garfield\n\t\t    </a>\n      </li>\n    </ul>\n  );\n}\n\nrender(() => <App />, document.getElementById('app'))\n"
		}
	]
};
var solved = {
	files: [
		{
			name: "main",
			content: "import { render } from 'solid-js/web';\nimport { createSignal, For } from 'solid-js';\n\nfunction App() {\n  const [cats, setCats] = createSignal([\n\t\t{ id: 'J---aiyznGQ', name: 'Keyboard Cat' },\n\t\t{ id: 'z_AbfPXTKms', name: 'Maru' },\n\t\t{ id: 'OUtn3pvWmpg', name: 'Henri The Existential Cat' }\n\t]);\n  \n  return (\n    <ul>\n      <For each={cats()}>{(cat, i) =>\n        <li>\n          <a target=\"_blank\" href={`https://www.youtube.com/watch?v=${cat.id}`}>\n\t\t\t      {i() + 1}: {cat.name}\n\t\t      </a>\n        </li>\n      }</For>\n    </ul>\n  );\n}\n\nrender(() => <App />, document.getElementById('app'))\n"
		}
	]
};
var markdown = "リストを反復処理したい場合、非プリミティブ値の配列に対しては `<For>` コンポーネントが最適な方法です。これは自動的に参照によってキー付けされるので、データが更新されると、行を再作成するのではなく、行を更新または移動するように最適化されます。コールバックは追跡されず、アイテムとインデックスの Signal を渡します。\n\n```jsx\n<For each={cats()}>{(cat, i) =>\n  <li>\n    <a target=\"_blank\" href={`https://www.youtube.com/watch?v=${cat.id}`}>\n      {i() + 1}: {cat.name}\n    </a>\n  </li>\n}</For>\n```\n`index` は Signal で、行が移動したときに独立して更新できるようになっています。アイテムを変更すると新しい参照が作成され、新しい行が作成されることになるので、アイテムは Signal ではありません。ネストした更新を行うには、ネストした Signal を作成するか、Solid のストアプロキシを使用します。\n\nまた、`<For>` を使用して、`Object.keys` のようなメソッドを使用したり、`[...iterable]` のように単純に配列に展開することで、配列ではない他の反復可能なオブジェクトを反復処理することもできます。\n";
var flow_for = {
	lesson: lesson,
	solved: solved,
	markdown: markdown
};

export { flow_for as default, lesson, markdown, solved };
