var lesson = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal } from \"solid-js\";\n\nfunction Counter() {\n  const [count, setCount] = createSignal(0);\n\n  setInterval(() => setCount(count() + 1), 1000);\n\n  return <div>Count: {count()}</div>;\n}\n\nrender(() => <Counter />, document.getElementById('app'));"
		}
	]
};
var solved = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal } from \"solid-js\";\n\nfunction Counter() {\n  const [count, setCount] = createSignal(0);\n  const doubleCount = () => count() * 2;\n\n  setInterval(() => setCount(count() + 1), 1000);\n\n  return <div>Count: {doubleCount()}</div>;\n}\n\nrender(() => <Counter />, document.getElementById('app'));"
		}
	]
};
var markdown = "Wir haben gesehen, dass jedes Mal, wenn wir ein Signal in JSX auslesen, es automatisch die Oberfläche aktualisiert, wenn sich das Signal verändert. Aber die Komponenten-Funktionen selbst laufen nur ein Mal.\n\nWir können neue Ausdrücke erzeugen, die auf anderen Signalen baieren, indem wir sie in eine Funktion schachteln. Eine Funktion, die ein Signal aufruft, wird damit effektiv selbst ein Signal: wenn die darin enthaltenen Signale aktualsiert werden, wird es von dessen Nutzern aktualisiert.\n\nLass uns unseren Counter aktualisieren, in dem wir eine `doubleCount`-Funktion hinzufügen:\n\n```jsx\nconst doubleCount = () => count() * 2;\n```\n\nWir können nun `doubleCount` genau wie ein Signal im JSX aufrufen:\n```jsx\nreturn <div>Count: {doubleCount()}</div>;\n```\n\nWir nennen solche Funktionen _abgeleitete Signale_, weil sie ihre Reaktivität durch die Signale erhalten, auf die sie zugreifen. Sie speichern nicht selbst einen Wert (wenn Du ein abgeleitetet Signal erstellst, aber nie aufrufst, wird es wie jede andere unbenutzte Funktion aus Solids Ausgabe herausgelassen), aber sie aktualisieren alle Effekte, die darauf basieren und lösen ein neues Rendering aus, wenn sie in einer Komponente genutzt werden.";
var introduction_derived = {
	lesson: lesson,
	solved: solved,
	markdown: markdown
};

export { introduction_derived as default, lesson, markdown, solved };
