var lesson = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal } from \"solid-js\";\n\nfunction Counter() {\n  const [count, setCount] = createSignal(0);\n\n  setInterval(() => setCount(count() + 1), 1000);\n\n  return <div>Count: {count()}</div>;\n}\n\nrender(() => <Counter />, document.getElementById('app'));"
		}
	]
};
var solved = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal } from \"solid-js\";\n\nfunction Counter() {\n  const [count, setCount] = createSignal(0);\n  const doubleCount = () => count() * 2;\n\n  setInterval(() => setCount(count() + 1), 1000);\n\n  return <div>Count: {doubleCount()}</div>;\n}\n\nrender(() => <Counter />, document.getElementById('app'));"
		}
	]
};
var markdown = "Signal は、追跡可能な値をラップするシンプルなゲッター関数です。特に特別なものではありません。つまり、Signal へのアクセスをラップした関数は、実質的に Signal であり、追跡可能であるということです。JSX に記述したあらゆる JavaScript の式にも同じことが当てはまります。Signal にアクセスする限り、更新されるのです。\n\nSolid のコンポーネントは、一度だけ実行されるただの関数であることを理解することが重要です。何かを確実に更新する唯一の方法は、計算または JSX でラップすることです。ただし、式を関数でラップすることにより、いつでも式を取り出すことができます。そうすれば、再利用できます。\n\nそれでは、`doubleCount` 関数を導入して、2 倍カウントするように Counter を更新してみましょう。\n\n```jsx\nconst doubleCount = () => count() * 2;\n```\n\n次に、それが読み取られている場所を置き換えます。\n\n```jsx\nreturn <div>Count: {doubleCount()}</div>;\n```\n\n`doubleCount` をインライン化することもできます。これは些細なことですが、Signal を合成する方法と、派生する Signal を移動可能にする方法の両方を説明しています。\n";
var introduction_derived = {
	lesson: lesson,
	solved: solved,
	markdown: markdown
};

export { introduction_derived as default, lesson, markdown, solved };
