var lesson = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal } from \"solid-js\";\n\nfunction Counter() {\n  return <div>Count: 0</div>;\n}\n\nrender(() => <Counter />, document.getElementById('app'));"
		}
	]
};
var solved = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal } from \"solid-js\";\n\nfunction Counter() {\n  const [count, setCount] = createSignal(0);\n\n  setInterval(() => setCount(count() + 1), 1000);\n\n  return <div>Count: {count()}</div>;\n}\n\nrender(() => <Counter />, document.getElementById('app'));"
		}
	]
};
var markdown = "Signal は最もコアなリアクティブプリミティブです。 これらには、時間とともに変化する値が含まれています。\n\nSignal を作成するには、`solid-js` から `createSignal` をインポートして、以下のように Counter コンポーネントから呼び出します:\n```jsx\nconst [count, setCount] = createSignal(0);\n```\n\ncreate コールに渡される引数は初期値で、ゲッターとセッターの 2 つの関数を持つ配列が返されます。分割代入を使えば、これらに好きな名前を付けることができます。この例ではゲッターを `count`、セッターを `setCount` と名付けています。\n\nここで重要なのは、最初に返される値がゲッターであり、値そのものではないということです。これは、フレームワークが自動的に変更を追跡するために、値が読み取られる場所をインターセプトする必要があるためです。このように、値がどこでアクセスされるかが重要であることを覚えておいてください。\n\nこのレッスンでは、`setInterval` を使ってインクリメントするカウンターを作成します。以下のコードを Counter コンポーネントに追加することで、1 秒ごとに`count` Signal を更新できます。\n\n```jsx\nsetInterval(() => setCount(count() + 1), 1000);\n```\n\n前回のカウントを読み、1 を加えて、新しい値を設定します。\n\n> Solid の Signal は、前回の値を使って次の値を設定する関数形式も受け付けています。\n> ```jsx\n> setCount(c => c + 1)\n> ```\n\n最後に、JSX コードで Signal を読み取る必要があります。\n\n```jsx\nreturn <div>Count: {count()}</div>;\n```\n";
var introduction_signals = {
	lesson: lesson,
	solved: solved,
	markdown: markdown
};

export { introduction_signals as default, lesson, markdown, solved };
