var lesson = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal, createEffect, on } from \"solid-js\";\n\nconst App = () => {\n  const [a, setA] = createSignal(1);\n  const [b, setB] = createSignal(1);\n\n  createEffect(() => {\n    console.log(a(), b());\n  });\n\n  return <>\n    <button onClick={() => setA(a() + 1)}>Increment A</button>\n    <button onClick={() => setB(b() + 1)}>Increment B</button>\n  </>\n};\n\nrender(App, document.getElementById(\"app\"));\n"
		}
	]
};
var solved = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal, createEffect, on } from \"solid-js\";\n\nconst App = () => {\n  const [a, setA] = createSignal(1);\n  const [b, setB] = createSignal(1);\n\n  createEffect(on(a, (a) => {\n    console.log(a, b());\n  }, { defer: true }));\n\n  return <>\n    <button onClick={() => setA(a() + 1)}>Increment A</button>\n    <button onClick={() => setB(b() + 1)}>Increment B</button>\n  </>\n};\n\nrender(App, document.getElementById(\"app\"));\n"
		}
	]
};
var markdown = "Zur Bequemlichkeit hat Solid einen `on`-Helfer, der es ermöglicht, ausdrücklich Abhängigkeiten einer Berechnung zu definieren. Das ist hauptsächlich ein Weg, um prägnant zu zeigen, welche Signale verfolgt werden (und andere nicht zu verfolgen). Zusätzlich bietet `on` eine `defer`-Option, die es erlaubt, die initiale Berechnung nicht auszuführen und erst bei der ersten Änderung zu laufen.\n\nLassen wir unseren Effekt nur laufen, wenn `a` aktualisiert wird und verzögern die Ausführung, bis der Wert sich erstmals ändert:\n\n```js\ncreateEffect(on(a, (a) => {\n  console.log(a, b());\n}, { defer: true }));\n```\n";
var reactivity_on = {
	lesson: lesson,
	solved: solved,
	markdown: markdown
};

export { reactivity_on as default, lesson, markdown, solved };
