var lesson = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal, createEffect, untrack } from \"solid-js\";\n\nconst App = () => {\n  const [a, setA] = createSignal(1);\n  const [b, setB] = createSignal(1);\n\n  createEffect(() => {\n    console.log(a(), b());\n  });\n\n  return <>\n    <button onClick={() => setA(a() + 1)}>Increment A</button>\n    <button onClick={() => setB(b() + 1)}>Increment B</button>\n  </>\n};\n\nrender(App, document.getElementById(\"app\"));\n"
		}
	]
};
var solved = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal, createEffect, untrack } from \"solid-js\";\n\nconst App = () => {\n  const [a, setA] = createSignal(1);\n  const [b, setB] = createSignal(1);\n\n  createEffect(() => {\n    console.log(a(), untrack(b));\n  });\n\n  return <>\n    <button onClick={() => setA(a() + 1)}>Increment A</button>\n    <button onClick={() => setB(b() + 1)}>Increment B</button>\n  </>\n};\n\nrender(App, document.getElementById(\"app\"));\n"
		}
	]
};
var markdown = "有时希望 Signal 读取行为不被跟踪，即使在响应式上下文中也是如此 Solid 提供了 `untrack` 工具函数来避免包装计算跟踪任何读取行为。\n\n在示例中，假设我们不想在 `b` 更改时输出日志。我们可以通过将 Effect 更改为以下内容来取消跟踪 `b` Signal：\n\n```js\ncreateEffect(() => {\n  console.log(a(), untrack(b));\n});\n```\n\n由于 Signal 是函数，可以直接传递，但 untrack 可以包装具有行为更复杂的函数。\n\n即使 `untrack` 禁用了对读取的跟踪，但对写入并通知观察者并没有影响。\n";
var reactivity_untrack = {
	lesson: lesson,
	solved: solved,
	markdown: markdown
};

export { reactivity_untrack as default, lesson, markdown, solved };
