var html = "<section class=\"mt-10\"><h1 id=\"renderiza%C3%A7%C3%A3o-do-lado-do-servidor-(ssr)\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#renderiza%C3%A7%C3%A3o-do-lado-do-servidor-(ssr)\">#</a> Renderização do Lado do Servidor (SSR)</h1><p>O Solid lida com a renderização do servidor compilando modelos JSX para um código de acréscimo de string ultra eficiente. Isso pode ser feito através do plugin ou preset do babel passando <code>generate: &quot;ssr&quot;</code>. Para cliente e servidor, você precisa passar <code>hydratable: true</code> para gerar o código compatível de hidratação.</p><p>Os tempos de execução <code>solid-js</code> e <code>solid-js/web</code> são trocados por contrapartes não reativas quando executados em um ambiente Node. Para outros ambientes, você precisará agrupar o código do servidor com exportações condicionais definidas como <code>node</code>. A maioria dos empacotadores tem uma maneira de fazer isso. Em geral, também recomendamos o uso das condições de exportação <code>solid</code>, bem como é recomendado que as bibliotecas enviem seu código-fonte sob a exportação <code>solid</code>.</p><p>Construir para SSR definitivamente requer um pouco mais de configuração, pois estaremos gerando 2 pacotes separados. A entrada do cliente deve usar <code>hydrate</code>:</p><pre class=\"shiki\" style=\"background-color:#fff\"><code><span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { hydrate } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;solid-js/web&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6f42c1\">hydrate</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> &lt;</span><span style=\"color:#22863a\">App</span><span style=\"color:#24292e\"> /&gt;, document);</span></span>\n<span class=\"line\"></span></code></pre><p><em>Observação: É possível renderizar e hidratar a partir da raiz do Documento. Isso nos permite descrever nossa visão completa em JSX.</em></p><p>A entrada do servidor pode usar uma das quatro opções de renderização oferecidas pelo Solid. Cada um produz a saída e uma tag de script a ser inserida no cabeçalho do documento.</p><pre class=\"shiki\" style=\"background-color:#fff\"><code><span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  renderToString,</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  renderToStringAsync,</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  renderToNodeStream,</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  renderToWebStream,</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">} </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;solid-js/web&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6a737d\">// Renderização síncrona de string</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">html</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">renderToString</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> &lt;</span><span style=\"color:#22863a\">App</span><span style=\"color:#24292e\"> /&gt;);</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6a737d\">// Renderização assíncrona de string</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">html</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">await</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">renderToStringAsync</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> &lt;</span><span style=\"color:#22863a\">App</span><span style=\"color:#24292e\"> /&gt;);</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6a737d\">// Node Stream API</span></span>\n<span class=\"line\"><span style=\"color:#6f42c1\">pipeToNodeWritable</span><span style=\"color:#24292e\">(App, res);</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6a737d\">// Web Stream API (como Cloudflare Workers)</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> { </span><span style=\"color:#005cc5\">readable</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">writable</span><span style=\"color:#24292e\"> } </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">new</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">TransformStream</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#6f42c1\">pipeToWritable</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> &lt;</span><span style=\"color:#22863a\">App</span><span style=\"color:#24292e\"> /&gt;, writable);</span></span>\n<span class=\"line\"></span></code></pre><p>Para sua conveniência, <code>solid-js/web</code> exporta um sinalizador <code>isServer</code>. Isso é útil, pois a maioria dos empacotadores será capaz de fazer treeshake de qualquer coisa sob este sinalizador ou importações usadas apenas pelo código sob este sinalizador de seu pacote de cliente.</p><pre class=\"shiki\" style=\"background-color:#fff\"><code><span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { isServer } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;solid-js/web&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#d73a49\">if</span><span style=\"color:#24292e\"> (isServer) {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#6a737d\">// só faça isso no servidor</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">} </span><span style=\"color:#d73a49\">else</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#6a737d\">// só faça isso no browser</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">}</span></span>\n<span class=\"line\"></span></code></pre><h2 id=\"script-de-hidrata%C3%A7%C3%A3o\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#script-de-hidrata%C3%A7%C3%A3o\">#</a> Script de Hidratação</h2><p>Para hidratar progressivamente antes mesmo do tempo de execução do Solid carregar, um script especial precisa ser inserido na página. Ele pode ser gerado e inserido via <code>generateHydrationScript</code> ou incluído como parte do JSX usando a tag <code>&lt;HydrationScript /&gt;</code>.</p><pre class=\"shiki\" style=\"background-color:#fff\"><code><span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { generateHydrationScript } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;solid-js/web&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">app</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">renderToString</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> &lt;</span><span style=\"color:#e36209\">App</span><span style=\"color:#24292e\"> /&gt;);</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">html</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">`</span></span>\n<span class=\"line\"><span style=\"color:#032f62\">  &lt;html lang=&quot;en&quot;&gt;</span></span>\n<span class=\"line\"><span style=\"color:#032f62\">    &lt;head&gt;</span></span>\n<span class=\"line\"><span style=\"color:#032f62\">      &lt;title&gt;🔥 Solid SSR 🔥&lt;/title&gt;</span></span>\n<span class=\"line\"><span style=\"color:#032f62\">      &lt;meta charset=&quot;UTF-8&quot; /&gt;</span></span>\n<span class=\"line\"><span style=\"color:#032f62\">      &lt;meta name=&quot;viewport&quot; content=&quot;width=device-width, initial-scale=1.0&quot; /&gt;</span></span>\n<span class=\"line\"><span style=\"color:#032f62\">      &lt;link rel=&quot;stylesheet&quot; href=&quot;/styles.css&quot; /&gt;</span></span>\n<span class=\"line\"><span style=\"color:#032f62\">      ${</span><span style=\"color:#6f42c1\">generateHydrationScript</span><span style=\"color:#032f62\">()</span><span style=\"color:#032f62\">}</span></span>\n<span class=\"line\"><span style=\"color:#032f62\">    &lt;/head&gt;</span></span>\n<span class=\"line\"><span style=\"color:#032f62\">    &lt;body&gt;${</span><span style=\"color:#24292e\">app</span><span style=\"color:#032f62\">}&lt;/body&gt;</span></span>\n<span class=\"line\"><span style=\"color:#032f62\">  &lt;/html&gt;</span></span>\n<span class=\"line\"><span style=\"color:#032f62\">`</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"></span></code></pre><pre class=\"shiki\" style=\"background-color:#fff\"><code><span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { HydrationScript } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;solid-js/web&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">App</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#d73a49\">return</span><span style=\"color:#24292e\"> (</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    &lt;</span><span style=\"color:#22863a\">html</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">lang</span><span style=\"color:#d73a49\">=</span><span style=\"color:#032f62\">&quot;en&quot;</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      &lt;</span><span style=\"color:#22863a\">head</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">        &lt;</span><span style=\"color:#22863a\">title</span><span style=\"color:#24292e\">&gt;🔥 Solid SSR 🔥&lt;/</span><span style=\"color:#22863a\">title</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">        &lt;</span><span style=\"color:#22863a\">meta</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">charset</span><span style=\"color:#d73a49\">=</span><span style=\"color:#032f62\">&quot;UTF-8&quot;</span><span style=\"color:#24292e\"> /&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">        &lt;</span><span style=\"color:#22863a\">meta</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">name</span><span style=\"color:#d73a49\">=</span><span style=\"color:#032f62\">&quot;viewport&quot;</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">content</span><span style=\"color:#d73a49\">=</span><span style=\"color:#032f62\">&quot;width=device-width, initial-scale=1.0&quot;</span><span style=\"color:#24292e\"> /&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">        &lt;</span><span style=\"color:#22863a\">link</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">rel</span><span style=\"color:#d73a49\">=</span><span style=\"color:#032f62\">&quot;stylesheet&quot;</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">href</span><span style=\"color:#d73a49\">=</span><span style=\"color:#032f62\">&quot;/styles.css&quot;</span><span style=\"color:#24292e\"> /&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">        &lt;</span><span style=\"color:#22863a\">HydrationScript</span><span style=\"color:#24292e\"> /&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      &lt;/</span><span style=\"color:#22863a\">head</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      &lt;</span><span style=\"color:#22863a\">body</span><span style=\"color:#24292e\">&gt;{</span><span style=\"color:#6a737d\">/*... rest of App*/</span><span style=\"color:#24292e\">}&lt;/</span><span style=\"color:#22863a\">body</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    &lt;/</span><span style=\"color:#22863a\">html</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  );</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">};</span></span>\n<span class=\"line\"></span></code></pre><p>Ao se hidratar a partir do documento, inserir ativos que não estão disponíveis na execução do cliente também pode bagunçar as coisas. O Solid fornece um componente <code>&lt;NoHydration&gt;</code> cujos filhos funcionarão normalmente no servidor, mas não se hidratarão no navegador.</p><pre class=\"shiki\" style=\"background-color:#fff\"><code><span class=\"line\"><span style=\"color:#24292e\">&lt;</span><span style=\"color:#22863a\">NoHydration</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  {manifest.</span><span style=\"color:#6f42c1\">map</span><span style=\"color:#24292e\">((</span><span style=\"color:#e36209\">m</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> (</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    &lt;</span><span style=\"color:#22863a\">link</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">rel</span><span style=\"color:#d73a49\">=</span><span style=\"color:#032f62\">&quot;modulepreload&quot;</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">href</span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\">{m.href} /&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  ))}</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">&lt;/</span><span style=\"color:#22863a\">NoHydration</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"></span></code></pre><h2 id=\"ssr-ass%C3%ADncrono-e-streaming\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#ssr-ass%C3%ADncrono-e-streaming\">#</a> SSR Assíncrono e Streaming</h2><p>Esses mecanismos são construídos com base no conhecimento do Solid de como sua aplicação funciona. Ele faz isso usando Suspense e a API de recursos no servidor, em vez de buscar e renderizar. Solid busca à medida que são renderizadas no servidor, assim como no cliente. Seu código e padrões de execução são escritos exatamente da mesma maneira.</p><p>A renderização assíncrona espera até que todos os limites do Suspense sejam resolvidos e, em seguida, envia os resultados (ou os grava em um arquivo no caso de Geração de Site Estático - SSG).</p><p>O streaming começa a descarregar o conteúdo síncrono para o navegador, processando imediatamente seus Suspense Fallbacks no servidor. Então, quando os dados assíncronos terminam no servidor, ele os envia pelo mesmo fluxo para o cliente para resolver o Suspense onde o navegador termina o trabalho e substitui o fallback por conteúdo real.</p><p>A vantagem desta abordagem:</p><ul> <li>O servidor não precisa esperar a resposta dos dados Async. Assets podem começar a carregar mais cedo no navegador e o usuário pode começar a ver o conteúdo mais cedo.</li> <li>Em comparação com a busca do cliente, como JAMStack, o carregamento de dados começa no servidor imediatamente e não precisa esperar o carregamento do JavaScript do cliente.</li> <li>Todos os dados são serializados e transportados do servidor para o cliente automaticamente.</li> </ul><h2 id=\"ressalvas-ssr\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#ressalvas-ssr\">#</a> Ressalvas SSR</h2><p>A solução Isomorphic SSR da Solid é muito poderosa, pois você pode escrever seu código principalmente como uma única base de código que roda de maneira semelhante em ambos os ambientes. No entanto, há expectativas de que isso coloque a hidratação. Principalmente porque a visualização renderizada no cliente é a mesma que seria renderizada no servidor. Não precisa ser exato em termos de texto, mas estruturalmente a marcação deve ser a mesma.</p><p>Usamos marcadores renderizados no servidor para combinar elementos e locais de recursos no servidor. Por isso, o Cliente e o Servidor devem ter os mesmos componentes. Normalmente, isso não é um problema, visto que o Solid renderiza da mesma maneira no cliente e no servidor. Mas atualmente não há como renderizar algo no servidor que não seja hidratado no cliente. Atualmente, não há como hidratar parcialmente uma página inteira, e não gerar marcadores de hidratação para ela. É tudo ou nada. A hidratação parcial é algo que queremos explorar no futuro.</p><p>Finalmente, todos os recursos precisam ser definidos na árvore <code>render</code>. Eles são serializados automaticamente e selecionados no navegador, mas isso funciona porque os métodos <code>render</code> ou <code>pipeTo</code> rastreiam o progresso da renderização. Algo que não podemos fazer se eles forem criados em um contexto isolado. Da mesma forma, não há reatividade no servidor, portanto, não atualize os signals na renderização inicial e espere que eles reflitam na parte superior da árvore. Embora tenhamos limites de suspense, o SSR do Solid é basicamente de cima para baixo.</p><h2 id=\"come%C3%A7ando-com-ssr\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#come%C3%A7ando-com-ssr\">#</a> Começando com SSR</h2><p>As configurações de SSR são complicadas. Temos alguns exemplos no pacote <a href=\"https://github.com/solidjs/solid/blob/main/packages/solid-ssr\">solid-ssr</a>.</p><p>No entanto, um novo iniciador está em desenvolvimento <a href=\"https://github.com/solidjs/solid-start\">SolidStart</a> que visa tornar essa experiência muito mais suave.</p><h2 id=\"come%C3%A7ando-com-static-site-generation\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#come%C3%A7ando-com-static-site-generation\">#</a> Começando com Static Site Generation</h2><p><a href=\"https://github.com/solidjs/solid/blob/main/packages/solid-ssr\">solid-ssr</a> também vem com um utilitário simples para gerar sites estáticos ou pré-renderizados. Leia o README para obter mais informações.</p></section>";
var attributes = {
	title: "Servidor",
	description: "Uma explicação dos recursos do lado do servidor do Solid.",
	sort: 3
};
var sections = [
	{
		slug: "renderiza%C3%A7%C3%A3o-do-lado-do-servidor-(ssr)",
		title: "Renderização do Lado do Servidor (SSR)",
		level: 1,
		children: [
			{
				slug: "script-de-hidrata%C3%A7%C3%A3o",
				title: "Script de Hidratação",
				level: 2,
				children: [
				]
			},
			{
				slug: "ssr-ass%C3%ADncrono-e-streaming",
				title: "SSR Assíncrono e Streaming",
				level: 2,
				children: [
				]
			},
			{
				slug: "ressalvas-ssr",
				title: "Ressalvas SSR",
				level: 2,
				children: [
				]
			},
			{
				slug: "come%C3%A7ando-com-ssr",
				title: "Começando com SSR",
				level: 2,
				children: [
				]
			},
			{
				slug: "come%C3%A7ando-com-static-site-generation",
				title: "Começando com Static Site Generation",
				level: 2,
				children: [
				]
			}
		]
	}
];
var server = {
	html: html,
	attributes: attributes,
	sections: sections
};

export { attributes, server as default, html, sections };
